import { type Options as PrettierOptions } from 'prettier';
import type { ResultFormatter } from '..';
type MaybePrettierOptions = PrettierOptions | null;
export type { PrettierOptions };
/**
 * A prettier-based formatter used to normalize babel output.
 *
 * If no `filepath` is given, it will be set to `${cwd}/dummy.js` by
 * default. This is useful to leverage prettier's extension-based parser
 * inference (which usually ends up triggering babel).
 *
 * @see https://prettier.io/docs/en/options.html#file-path
 */
export declare const prettierFormatter: ResultFormatter<{
    prettierOptions: MaybePrettierOptions;
}>;
export default prettierFormatter;
