"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.prettierFormatter = exports.default = void 0;
var _nodePath = _interopRequireDefault(require("node:path"));
var _debug = _interopRequireDefault(require("debug"));
var _prettier = require("prettier");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const debug = (0, _debug.default)('babel-plugin-tester:formatter');
const configDirectoryCache = Object.create(null);
const getCachedConfig = directory => {
  if (!(directory in configDirectoryCache)) {
    debug(`caching prettier configuration resolved from ${directory}: %O`, configDirectoryCache[directory]);
    configDirectoryCache[directory] = _prettier.resolveConfig.sync(directory);
  } else {
    debug(`using cached prettier configuration resolved from ${directory}`);
  }
  return configDirectoryCache[directory];
};
const prettierFormatter = (code, {
  cwd = process.cwd(),
  filename,
  filepath = filename || _nodePath.default.join(cwd, 'dummy.js'),
  prettierOptions = getCachedConfig(cwd)
} = {}) => {
  debug('cwd: %O', cwd);
  debug('filepath: %O', filepath);
  debug('original  code: %O', code);
  const formattedCode = (0, _prettier.format)(code, {
    filepath,
    ...prettierOptions
  });
  debug('formatted code: %O', code);
  return formattedCode;
};
exports.prettierFormatter = prettierFormatter;
var _default = prettierFormatter;
exports.default = _default;