import { prettierFormatter } from './formatters/prettier';
import { unstringSnapshotSerializer } from './serializers/unstring-snapshot';
import { runPluginUnderTestHere, runPresetUnderTestHere } from './plugin-tester';
import type { PluginTesterOptions } from './types';
/**
 * An abstraction around babel to help you write tests for your babel plugin or
 * preset.
 */
declare function defaultPluginTester(options?: PluginTesterOptions): void;
declare namespace defaultPluginTester {
    var _a: typeof defaultPluginTester;
    export var pluginTester: typeof defaultPluginTester;
    export var prettierFormatter: import("./types").ResultFormatter<{
        prettierOptions: import("prettier").Options | null;
    }>;
    export var unstringSnapshotSerializer: import("pretty-format").Plugin;
    export var runPluginUnderTestHere: unique symbol;
    export var runPresetUnderTestHere: unique symbol;
    export { _a as default };
}
export { defaultPluginTester as default, defaultPluginTester as pluginTester, prettierFormatter, unstringSnapshotSerializer, runPluginUnderTestHere, runPresetUnderTestHere };
export * from './types';
