"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.unstringSnapshotSerializer = exports.default = void 0;
var _debug = _interopRequireDefault(require("debug"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const debug = (0, _debug.default)('babel-plugin-tester:serializer');
const unstringSnapshotSerializer = {
  test: value => {
    const isTriggered = typeof value === 'string';
    debug(`unstring serializer is triggered: ${isTriggered ? 'yes' : 'no'}`);
    return isTriggered;
  },
  print: value => {
    debug('original   value: %O', value);
    const serializedValue = String(value);
    debug('serialized value: %O', serializedValue);
    return serializedValue;
  }
};
exports.unstringSnapshotSerializer = unstringSnapshotSerializer;
var _default = unstringSnapshotSerializer;
exports.default = _default;